
/****************************************************************************/
/*                                                                          */
/*                      Chaine de CAO & VLSI   Alliance                     */
/*                                                                          */
/*    Produit :Synthetiseur logique                                         */
/*    Fichier :sl_util.h                                                    */
/*                                                                          */
/*    (c) copyright 1991 Laboratoire MASI equipe CAO & VLSI                 */
/*    Tous droits reserves                                                  */
/*    Support : e-mail cao-vlsi@masi.ibp.fr                                 */
/*                                                                          */
/*    Auteur(s) : L. BURGUN                             le : ../../....     */
/*                                                                          */
/*    Modifie par :                                     le : ../../....     */
/*    Modifie par :                                     le : ../../....     */
/*    Modifie par :                                     le : ../../....     */
/*                                                                          */
/****************************************************************************/

char *gensym();
void removeAuxBeh();
void flatArityExprBeh();
int existInputBeh();
int existOutputBeh();
int countInputBeh();
chain_list *berinToChain_list();
chain_list *createExprCL();
int inPtype_list();
int inChain_list();
int displayChain_list();
int displayPtype_list();
int countChain_List();
int profExprBeh();
int numberAtomExprBeh();
int countPtype_list();

#define gotolc(L,C) printf("\033[%d;%dH",L,C)
